import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationCreateManyPatientInputObjectSchema as CommunicationCreateManyPatientInputObjectSchema } from './CommunicationCreateManyPatientInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => CommunicationCreateManyPatientInputObjectSchema), z.lazy(() => CommunicationCreateManyPatientInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const CommunicationCreateManyPatientInputEnvelopeObjectSchema: z.ZodType<Prisma.CommunicationCreateManyPatientInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationCreateManyPatientInputEnvelope>;
export const CommunicationCreateManyPatientInputEnvelopeObjectZodSchema = makeSchema();
